﻿namespace PhalangerDemo.demo3
{
    using System;
    public partial class WebForm1 : System.Web.UI.Page
    {
        private PHP.Core.ScriptContext phpContext;

        public WebForm1()
        {
            phpContext = PHP.Core.ScriptContext.CurrentContext;
            phpContext.Include("Fun.php", true);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            var context = phpContext.Call("SayHello", new object[] { }).ToString();
            Response.Write(context.StartsWith("&") ? context.Substring(1) : context);
        }

        protected void btnAdd_Click(object sender, EventArgs e)
        {
            var num1 = txtNum1.Text as object;
            var num2 = txtNum2.Text as object;
            var result = phpContext.Call("Sum", new object[] { num1, num2 }).ToString();
            txtRes.Text = result.StartsWith("&") ? result.Substring(1) : result;
        }
    }
}